Bug 1422585 - Review Request: python-deprecation - A library to handle automated deprecations
Summary: Review Request: python-deprecation - A library to handle automated deprecations
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alfredo Moralejo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-02-15 16:15 UTC by Javier Peña
Modified: 2017-03-22 08:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-22 08:52:12 UTC
Type: ---
amoralej: fedora-review+


Attachments (Terms of Use)

Description Javier Peña 2017-02-15 16:15:59 UTC
Spec URL: https://jpena.fedorapeople.org/python-deprecation/python-deprecation.spec
SRPM URL: https://jpena.fedorapeople.org/python-deprecation/python-deprecation-1.0-1.fc26.src.rpm
Description: 
The deprecation library provides a deprecated decorator and a
fail_if_not_removed decorator for your tests.
Fedora Account System Username: jpena

Koji scratch build available at https://koji.fedoraproject.org/koji/taskinfo?taskID=17887064

Comment 1 Javier Peña 2017-02-28 12:56:03 UTC
Updated files, I have added the LICENSE file from the Git repo to the spec.

- Spec: https://jpena.fedorapeople.org/python-deprecation/python-deprecation.spec
- SRPM: https://jpena.fedorapeople.org/python-deprecation/python-deprecation-1.0-2.fc26.src.rpm

Comment 2 Alfredo Moralejo 2017-02-28 14:40:25 UTC
It seems %{description} is not expanded:

$ rpm -qip results/python2-deprecation-1.0-2.fc26.noarch.rpm
Name        : python2-deprecation
Version     : 1.0
Release     : 2.fc26
Architecture: noarch
Install Date: (not installed)
Group       : Unspecified
Size        : 37562
License     : ASL 2.0
Signature   : (none)
Source RPM  : python-deprecation-1.0-2.fc26.src.rpm
Build Date  : Tue 28 Feb 2017 02:08:34 PM CET
Build Host  : faemino
Relocations : (not relocatable)
URL         : http://deprecation.readthedocs.io/
Summary     : A library to handle automated deprecations
Description :
%{description}

Comment 3 Javier Peña 2017-02-28 15:11:57 UTC
Thanks for the review. I have uploaded the updated files:

- Spec: https://jpena.fedorapeople.org/python-deprecation/python-deprecation.spec
- SRPM: https://jpena.fedorapeople.org/python-deprecation/python-deprecation-1.0-3.fc26.src.rpm

Comment 4 Alfredo Moralejo 2017-02-28 16:33:28 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache", "Unknown or generated", "*No
     copyright* Apache (v2.0)". 3 files have unknown license. Detailed
     output of licensecheck in /tmp/1422585-python-
     deprecation/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6/site-packages/__pycache__,
     /usr/lib/python3.6
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-deprecation , python3-deprecation
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-deprecation-1.0-3.fc26.noarch.rpm
          python3-deprecation-1.0-3.fc26.noarch.rpm
          python-deprecation-1.0-3.fc26.src.rpm
python2-deprecation.noarch: W: spelling-error Summary(en_US) deprecations -> deprecation, deprecation's, depredations
python3-deprecation.noarch: W: spelling-error Summary(en_US) deprecations -> deprecation, deprecation's, depredations
python-deprecation.src: W: spelling-error Summary(en_US) deprecations -> deprecation, deprecation's, depredations
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python2-deprecation.noarch: W: spelling-error Summary(en_US) deprecations -> deprecation, deprecation's, depredations
python3-deprecation.noarch: W: spelling-error Summary(en_US) deprecations -> deprecation, deprecation's, depredations
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python2-deprecation (rpmlib, GLIBC filtered):
    python(abi)

python3-deprecation (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-deprecation:
    python-deprecation
    python2-deprecation
    python2.7dist(deprecation)
    python2dist(deprecation)

python3-deprecation:
    python3-deprecation
    python3.6dist(deprecation)
    python3dist(deprecation)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/d/deprecation/deprecation-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 36d2a2356ca89fb73f72bfb866a2f28e183535a7f131a3b34036bc48590165b6
  CHECKSUM(SHA256) upstream package : 36d2a2356ca89fb73f72bfb866a2f28e183535a7f131a3b34036bc48590165b6


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1422585
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


The package is APPROVED, please proceed with the SCM request.

Comment 5 Gwyn Ciesla 2017-02-28 17:03:42 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-deprecation

Comment 6 Javier Peña 2017-02-28 17:18:19 UTC
We now have a Rawhide build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18110298


Note You need to log in before you can comment on or make changes to this bug.